Subject: Re: [PATCH net] net: pse-pd: tps23881: Fix boolean evaluation for bitmask checks

From: Simon Horman <[email-masked]>
Date: Tue, 24 Sep 2024 09:56:21 +0100

On Tue, Sep 24, 2024 at 10:44:06AM +0200, Oleksij Rempel wrote:
> On Tue, Sep 24, 2024 at 10:33:57AM +0200, Kory Maincent wrote:
> > On Tue, 24 Sep 2024 09:26:12 +0100
> > Simon Horman <[email-masked]> wrote:
> > 
> > > > Don't know about it but if I can remove it from my driver it would be nice.
> > > > :)  
> > > 
> > > Right, no question from my side that this change is a good one.
> > > I'm just wondering if it is best for net or net-next.
> > 
> > Indeed, I don't know the policy on this. Do you think it shouldn't go to net?
> > I will let net maintainers decide. ;)
> 
> The net is always the right place for this kind of fixes. In any case, it
> would be better to have actual symptoms of the issue addressed by
> this patch in the commit message.

Thanks, I think that would address my questions about this patch.